#!/bin/sh

if [ -z "$1" ] ; then
    echo "Usage: $0 password"
    exit 1
fi
PASS="$1"

rsync -avr -e "sshpass -p$PASS ssh -p 2222" --exclude='*.import.scm' --exclude='*~' backend/*.scm backend/Makefile root@localhost:brminv/backend/
rsync -avr -e "sshpass -p$PASS ssh -p 2222" frontend/dist/* root@localhost:brminv/frontend/dist/
rsync -avr -e "sshpass -p$PASS ssh -p 2222" Makefile root@localhost:brminv/
rsync -avr -e "sshpass -p$PASS ssh -p 2222" --exclude='*~' tools/* root@localhost:brminv/tools/
sshpass -p$PASS ssh -p 2222 root@localhost 'make -C brminv'
sshpass -p$PASS scp -P 2222 root@localhost:brminv/brminv brminv-arm
